---
layout: book
section: documentation
category: TileMill
tag: Installation
title: Building from source
permalink: /docs/source
date: 0201-01-30
---

This documentation covers TileMill installation for developers. For most users, the [installation instructions]({{site.baseurl}}/docs/install) will be more appropriate.

## Install dependencies

### Mac OS X

Install the following dependencies first:

- [Xcode 3](https://connect.apple.com/cgi-bin/WebObjects/MemberSite.woa/wa/getSoftware?bundleID=20792) or [Xcode 4](http://itunes.apple.com/us/app/xcode/id448457090?mt=12)
- [Mapnik 2.1.0 - b8632c20](https://github.com/mapnik/mapnik/commit/b8632c20d4d0a1682171f64d1bda3c7bd6f80894) or higher
- [Node.js][node] 0.4.x
- [NPM][npm] 1.0.22 or greater

### Ubuntu Linux

These instructions work for Ubuntu >= 10.10.

Install TileMill dependencies:

    sudo apt-get install build-essential curl \
    libsqlite3-0 libsqlite3-dev libzip-dev libzip1 \
    libgtk2.0-dev libwebkitgtk-dev

Add the MapBox PPA (which includes mapnik and nodejs packages):

    sudo add-apt-repository ppa:developmentseed/mapbox
    sudo apt-get update
    sudo apt-get install libmapnik libmapnik-dev mapnik-utils nodejs nodejs-dev

Install npm:

    sudo curl http://npmjs.org/install.sh | sh

## Building TileMill

Run the following from a terminal to check out a development copy of TileMill and build it from source.

    git clone https://github.com/mapbox/tilemill.git
    cd tilemill
    npm install

Once the build is complete you can start TileMill with the following command from the `tilemill` directory:

    ./index.js

### Updating

To update your development copy of TileMill clean your copy and rebuild:

    # From the `tilemill` directory
    git pull
    rm -rf node_modules
    npm install

[mapnik]:http://www.mapnik.org
[xcode]:http://developer.apple.com/technologies/tools/xcode.html
[issues]:https://github.com/mapbox/tilemill/issues
[support]:http://support.mapbox.com/kb/tilemill/where-can-i-get-help-with-tilemill
[node]:https://github.com/joyent/node/wiki/Installation
[npm]:http://npmjs.org/
