---
layout: book
section: documentation
category: TileMill
tag: Installation
title: Upgrade notes
permalink: /docs/upgrade
---

## 0.9.1

### Dropped support for 32-only Macs

For OS X, TileMill 0.9.1 now is pure 64bit (rather than duel-arch). This will mean that older Macs that only support 32bit applications will not work - you will see an error message upon startup.

### Marker Size

For projects using `marker-width` or `marker-height`, these values now need to be twice as large in order to maintain the same visual rendering  size as previous TileMill versions. Projects will need to be manually upgraded and we apologize if this is inconvenient. Previously these values represented radii, but should have pixels, and this bug was fixed upstream in the [Mapnik](https://github.com/mapnik/mapnik/issues/1134) version now required by TileMill.

### Node.js version

Those users who have been using source installs, or were otherwise tracking the Node.js version used and required by TileMill should be aware that TileMill now depends upon Node v0.6.x (previously v0.4.x).

### Windows Start Menu and Shortcuts

While TileMill 0.9.0 used a Start Menu shortcut pointed at a .bat file, TileMill 0.9.1 now creates a Shortcut pointing at an .exe named 'TileMill.exe', which controls starting the application. If you created desktop shortcuts previously you will need to recreate using the new items in the Start Menu.

## 0.9.0

The tile server now runs on its own port (by default port 20008), separate from the port used by the main application (port 20009).

## 0.8.x

### Location of preferences

TileMill settings are now located at `~/.tilemill/config.json`. If you are running TileMill as an Ubuntu service, this file will be located at `/usr/share/mapbox/.tilemill/config.json`. You must manually copy any customized settings to this location before starting TileMill.

### Port change

The default port changed from 8889 to 20009. You can update any bookmarks or override this setting by adding the `port` option in `~/.tilemill.json`.

## 0.6.x

### Remote network access

In TileMill 0.6 connections are now only accepted from the loopback interface by default. This prevents users from unknowingly sharing projects with remote users. On Mac OS X, this setting can be changed in the preferences window. On Ubuntu, this setting can be changed by setting the `listenHost` option in your `~/.tilemill.json` file to `0.0.0.0`.

### Upgrading on Ubuntu

The MapBox PPA now includes its own packages for nodejs. You must remove the chris-lea nodejs PPA from your sources list and uninstall nodejs before upgrading TileMill. Refer to [this issue](https://github.com/mapbox/tilemill/issues/910#issuecomment-2687449) for more information.

To remove the previous nodejs packages run:

    sudo apt-get remove nodejs
    sudo rm /etc/apt/sources.list.d/chris-lea-node_js-*.list

To upgrade TileMill run:

    sudo apt-get update
    sudo apt-get install tilemill libmapnik

#### Application data directory on Ubuntu

On *Ubuntu*, TileMill files are now kept in `~/Documents/MapBox` by default. You can start TileMill from the Applications menu or Launcher while logged in as a desktop user.  After starting TileMill for the first time the aforementioned directory will be created. You may move your projects and other data from their old location, such as `/usr/share/mapbox`, to the new directory.

#### Execution changes on Ubuntu

TileMill can now be run as the logged in desktop user on Ubuntu. Look for the TileMill menu item in the Applications menu or Launcher. You may need to adjust file permissions and ownership on your data files to make them readable by TileMill if you decide to move your data from the previous directory (/usr/share/mapbox). You can still run TileMill as a service using the `upstart` command, if so desired.

## 0.4.x

### Important note for Ubuntu users

A specific version of mapnik is provided in the `mapbox` PPA for use with TileMill 0.4.x. TileMill will not work if you have **any other version** of mapnik installed on your system. Please remove any previous versions of mapnik that you may have installed from source or from the mapnik `nightly-trunk` PPA.

**Removing mapnik compiled from source**

Enter the directory of the original mapnik source.

    cd /home/ubuntu/mapnik # or the path to your mapnik source
    sudo make uninstall

**Removing mapnik from the nightly-trunk PPA**

First remove your mapnik packages.

    sudo apt-get uninstall mapnik*

Remove the `sources.list` entries for the `nightly-trunk` PPA and run

    sudo apt-get update

You can now install TileMill using the `install-tilemill.sh` script.

### Project files

TileMill on *Mac OS X* now keeps its files in your user's home directory at `~/Documents/MapBox`. On *Ubuntu*, TileMill files are kept in `/usr/share/mapbox`. After starting TileMill for the first time the directory will be created. Move your projects from their old location to the new `project` directory.

### Relative paths

If you bravely used relative paths to reference markers and other images in your old Carto stylesheets you need to update the paths to be relative to your project's directory. For example the following rule which worked in TileMill 0.3.x by virtue of being relative to the Mapnik XML file written into the hidden `.cache` directory

    polygon-pattern-file: url(../project/new-world/res/land.png);

Should be changed to be relative to the project directory

    polygon-pattern-file: url(res/land.png);

### Minimal mode

A setting for entering and leaving minimal mode no longer exists. Projects will automatically update if you decide to edit their `mml` and `mss` files directly with another text editor. Beware that altering projects in both the TileMill UI and your editor is not recommended - TileMill will always give preference to an external editor if changes are made.

