---
layout: book
section: documentation
category: TileMill
tag: Crash&nbsp;course
title: "Adding tooltips and legends"
permalink: /docs/crashcourse/tooltips
code1: |
  {{{Magnitude}}} Magnitude Earthquake<br/>{{{Datetime}}}
code2: `<strong>Magnitude 2.5+ Earthquakes (Past 7 Days)</strong><br/>Circle size indicates magnitude of earthquake.`
prereq:
- "[Installed](/tilemill/docs/install) TileMill on your computer."
- "[Reviewed](/tilemill/docs/crashcourse/introduction/) the Crash Course introduction."
- "[Imported data](/tilemill/docs/crashcourse/point-data) to a TileMill project."
- "[Styled](/tilemill/docs/crashcourse/styling/) your point data."
nextup:
- "[Exporting](/tilemill/docs/crashcourse/exporting/) your map."
---

{% include prereq.html %}

Tooltips and legends allow you to add interactivity, additional information, and context to your maps. Below we'll walk through how to add each to your map. 

## Tooltips

Tooltips allow you to make maps interactive with dynamic content that appears when a user hovers over or clicks on a map. They can contain HTML and are useful for revealing additional data, images, and other content.

Previously in the [Importing data](/tilemill/docs/crashcourse/point-data) section of this guide, we created a map of earthquakes. Here we will add tooltips that reveal the magnitude, date, and time of each earthquake when users hovers over its point.

1. Open the Templates panel by clicking on the pointer button on the bottom left.
  ![](/tilemill/assets/pages/tooltips-6.png)
2. Click on the "Teaser" tab. Teaser content appears when you hover over a feature and Full content appears when you click on a feature. You can use the Location field to define a URL to be loaded when a feature is clicked.
  ![](/tilemill/assets/pages/tooltips-1.png)
3. Select the "Earthquakes" layer to use it for interaction. TileMill only supports one interactive layer at a time.
  ![](/tilemill/assets/pages/tooltips-2.png)
4. The data fields for the layer are displayed wrapped in curly [Mustache](http://mustache.github.com/) tags. These tags will be replaced by data when you interact with the map. Locate the fields you want to use.
  ![](/tilemill/assets/pages/tooltips-3.png)
5. Write your template using the Mustache tags. Paste the following code into the Teaser field and use the preview to make sure it looks good:

       {{page.code1}}
    ![](/tilemill/assets/pages/tooltips-4.png)
6. Click "Save" to save your settings and refresh the map. Close the panel by clicking the close button (X) or by pressing the ESC key. Move your mouse over some points to see the tooltips.
  ![](/tilemill/assets/pages/tooltips-5.png)

## Legends

A legend is permanently on a map and is useful for displaying titles, descriptions, and keys for what is being mapped. It can be styled using HTML, or it can simply contain an image.

Let's add a legend that describes the theme of the map.

1. Open the Templates panel by clicking on the pointer button in the bottom left.
  ![](/tilemill/assets/pages/tooltips-6.png)
2. The Legend tab is open by default.
  ![](/tilemill/assets/pages/legend-1.png)
3. Enter your legend text/html in the Legend field:

      {{page.code2}}<br>
  ![](/tilemill/assets/pages/legend-2.png)
4. Click "Save" and close the panel. You will now see your legend in the bottom right corner of the map.
  ![](/tilemill/assets/pages/legend-3.png)

<small class='note' markdown='1'>
<h3>Allowed HTML</h3>
For security, unsafe HTML in tooltips and legends are sanitized and JavaScript code is removed. If you want to build sophisticated map interaction with JavaScript on your own website, you can write custom code using the [Wax](http://mapbox.com/wax/) library.
</small>

{% include nextup.html %}
